jQuery(document).ready(	
function()
{
    jQuery("#social IMG").fadeTo("fast", 0.5).mouseenter(function() {jQuery(this).fadeTo("fast", 1);}).mouseleave(function() {jQuery(this).fadeTo("fast", 0.5);});
    
    jQuery("#twitter").html("loading...");
    
	
    jQuery(".post-single").live("mouseenter", function() {
        jQuery(this).addClass("hover");
        jQuery("IMG", jQuery(this)).fadeTo("fast", 0.3);
        jQuery(".inside", jQuery(this)).css("left", "-20px");
        jQuery(".inside", jQuery(this)).animate({ left: 0});
    }).live("mouseleave", function() {
        jQuery("IMG", jQuery(this)).fadeTo("fast", 1);
        jQuery(".inside", jQuery(this)).animate({ left: -20}, function() { jQuery(this).css("left", 0); jQuery(this).parent().parent().parent().removeClass("hover");});
    });
    
   // if (jQuery("#loadmore").length>0) { if (jQuery('.older').html()=="") jQuery("#loadmore").fadeOut(); }
    
    jQuery("#loadmore").click( function() {
        jQuery(this).addClass("loading");
        jQuery('#gallery-foo').load(jQuery(".older A").attr("href")+' #gallery', function() {
            i=0;
            jQuery('#gallery-foo .post-single').each( function() {
                i++;
                jQuery(this).hide();
                var newDiv = jQuery(this).appendTo(jQuery("#gallery"));
                window.setTimeout(function() { jQuery(newDiv).fadeIn("slow"); }, i*300);
            });
            jQuery("#loadmore").removeClass("loading");
            jQuery('.older').load(jQuery(".older A").attr("href")+' .older A', function() {
                //if (jQuery('.older').html()=="") jQuery("#loadmore").fadeOut();
            });
        });
    });

    if (jQuery("#categories").length>0)
    {
        jQuery("#categories").hide();
        jQuery(".selcat").click( function() {
            jQuery("#categories").slideToggle();
        });
    }
    
    if (jQuery("#pagination .prev").length>0)
    {
        if (jQuery("A", jQuery("#pagination .prev")).length==0)
            jQuery("#pagination .prev").hide();
        jQuery("#pagination .prev").mouseenter( function () {
            jQuery("DIV", jQuery(this)).fadeIn();
        }).mouseleave( function () {
            jQuery("DIV", jQuery(this)).fadeOut();
        }).click( function (event) {
            document.location = jQuery("A", jQuery(this)).attr("href");
        });        
    }
    if (jQuery("#pagination .next").length>0)
    {
        if (jQuery("A", jQuery("#pagination .next")).length==0)
            jQuery("#pagination .next").hide();
        jQuery("#pagination .next").mouseenter( function () {
            jQuery("DIV", jQuery(this)).fadeIn();
        }).mouseleave( function () {
            jQuery("DIV", jQuery(this)).fadeOut();
        }).click( function (event) {
            document.location = jQuery("A", jQuery(this)).attr("href");
        });
    }
});

scrollTO = false;
function followMe()
{
    jQuery(window).scroll( function() {
        if(scrollTO!=false) window.clearTimeout(scrollTO);        
        if(jQuery.browser.safari){
			topCoord = jQuery("body").scrollTop()-250;
		}
        else{
			topCoord = jQuery("html").scrollTop()-250;
		}
        if (topCoord<50)
		{
			topCoord = 50;        
		}
        scrollTO = window.setTimeout(function() { jQuery(".left").stop().animate({top:topCoord+"px"}, 700, "easeOutCirc"); }, 200);
    })
}

followMe();

